import { AxiosInstance, InternalAxiosRequestConfig } from 'axios';
declare const apiInstance: AxiosInstance;
declare const statsInstance: AxiosInstance;
declare const aiAnswersInteractionsInstance: AxiosInstance;
declare const RESPONSE_BAD_REQUEST = 400;
declare const RESPONSE_SERVER_ERROR = 500;
export type RequestInterceptorCallback = (config: {
    url?: string;
    headers?: Record<string, string>;
}) => Partial<InternalAxiosRequestConfig>;
type RequestType = 'searchApi' | 'statsApi';
declare const setRequestInterceptor: (callback: RequestInterceptorCallback, requestType: RequestType) => void;
export { apiInstance, statsInstance, aiAnswersInteractionsInstance, setRequestInterceptor, RESPONSE_BAD_REQUEST, RESPONSE_SERVER_ERROR };
//# sourceMappingURL=api.d.ts.map